/* ext - file extension stuff
 *
 *      (c)2007 Scott Lawrence
 *	   yorgle@gmail.com
 */

/*
 * Copyright (C) 2007 Scott Lawrence
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */


/* _is_dir
 *	returns 1 if it's a directory, 0 if it's not
 */
int mikmodule_is_dir(const char *filename);

/* _ext_search
 *	search through a NULL terminated "list", if "filename" matches,
 *	then return a 1, otterwise, return 0
 */
int mikmodule_ext_search( char ** list, const char * filename );


/* _ext_openable
 *	returns 1 if the filename is a known type for a song file
 */
int mikmodule_ext_openable( const char * filename );


/* _ext_playlistable
 *	returns 1 if the filename is a known type for a playlist file
 */
int mikmodule_ext_playlistable( const char * filename );

/* _ext_tight_playlist
 *      returns 1 if the filename is .pls or .mik
 */
int mikmodule_ext_tight_playlist( const char * filename );
